unit AutomaticErrorHandlingU;

interface

uses
  SysUtils, Types, Classes, QGraphics, QControls, QForms, QDialogs,
  QStdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.xfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Tag := StrToInt(Application.ExeName)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  (Sender as TForm).Hide
end;

procedure TForm1.Button3Click(Sender: TObject);
var
  Lst: TListBox;
begin
  Lst := TListBox.Create(Self);
  Lst.Parent := Self;
  Lst.SendToBack;
  Lst.Items.LoadFromFile('Non-existentFile.txt');
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  //SIGFPE signal
  Tag := 100 div Tag
end;

procedure TForm1.Button5Click(Sender: TObject);
var
  PI: PInteger;
begin
  PI := nil;
  //SIGSEGV signal
  Caption := IntToStr(PI^)
end;

end.
